package cokr.xit.fims.nxrp.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.nxrp.NisIndivQuery;
import cokr.xit.fims.nxrp.service.NisIndivService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

/**과태료 대장 단속 정보 등록 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2024-02-16	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("nisIndivService")
public class NisIndivServiceBean extends AbstractServiceBean implements NisIndivService {
	/** 과태료 대장 단속 정보 등록 정보 Bean */
	@Resource(name = "nisIndivBean")
	private NisIndivBean nisIndivBean;

	@Override
	public List<DataObject> getNisIndivA01List(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA01List(req);
	}

	@Override
	public List<DataObject> getNisIndivA01s(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA01s(req);
	}

	@Override
	public String createNisIndivA01(NisIndivQuery req) {
		return nisIndivBean.createNisIndivA01(req);
	}

	@Override
	public List<DataObject> getNisIndivA02List(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA02List(req);
	}

	@Override
	public List<DataObject> getNisIndivA02s(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA02s(req);
	}

	@Override
	public List<DataObject> getNisIndivA03List(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA03List(req);
	}

	@Override
	public List<DataObject> getNisIndivA03s(NisIndivQuery req) {
		return nisIndivBean.getNisIndivA03s(req);
	}

	@Override
    public String createNisIndivB01(NisIndivQuery req) {
		return nisIndivBean.createNisIndivB01C01(req);
    }

    @Override
    public String createNisIndivC01(NisIndivQuery req) {
    	return nisIndivBean.createNisIndivB01C01(req);
    }
}